Percona Server with XtraDB

percona_show_slave_status_nolock test failing in release-5.1.53

Reported by Ignacio Nin on 2010-12-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Undecided
Oleg Tsarev

Bug Description

Test fails in current version.

Compile flags:
./configure --build=x86_64-linux-gnu --host=x86_64-linux-gnu --prefix=/usr --exec-prefix=/usr --libexecdir=/usr/sbin --datadir=/usr/share --localstatedir=/var/lib/mysql --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --with-server-suffix=-rel12.3 --with-comment='(Percona Server (GPL), 12.3 )' --with-system-type=debian-linux-gnu --enable-shared --enable-static --enable-thread-safe-client --enable-assembler --enable-local-infile --with-fast-mutexes --with-big-tables --with-unix-socket-path=/var/run/mysqld/mysqld.sock --with-mysqld-user=mysql --with-libwrap --with-ssl --without-docs --with-extra-charsets=all --with-plugins=max-no-ndb --without-plugin-innobase --without-embedded-server --with-embedded-privilege-control

make test:

main.percona_show_slave_status_nolock [ fail ]
        Test ended at 2010-12-13 17:18:27

CURRENT_TEST: main.percona_show_slave_status_nolock
--- /home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/r/percona_show_slave_status_nolock.result 2010-12-13 20:44:55.869958606 +0300
+++ /home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/r/percona_show_slave_status_nolock.reject 2010-12-13 22:18:27.354268086 +0300
@@ -18,6 +18,4 @@
 count(*)
 0
 START SLAVE;
-Warnings:
-Note 1592 Statement may not be safe to log in statement format.
 DROP TABLE t;

mysqltest: Result length mismatch

Warnings from just before the error:
Note 1051 Unknown table 't1'
Note 1051 Unknown table 't2'
Note 1051 Unknown table 't3'
Note 1051 Unknown table 't4'
Note 1051 Unknown table 't5'
Note 1051 Unknown table 't6'
Note 1051 Unknown table 't7'
Note 1051 Unknown table 't8'

 - saving '/home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/var/log/main.percona_show_slave_status_nolock/' to '/home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/var/log/main.percona_show_slave_status_nolock/'

Only 1059 of 1067 completed.
mysql-test-run: *** ERROR: Not all tests completed
make: *** [test-ns] Error 1

Running ./mysql-test-run manually for this test does succeed:

$ ./mysql-test-run percona_show_slave_status_nolock
Logging: ./mysql-test-run percona_show_slave_status_nolock
101213 17:54:57 [Note] Flashcache bypass: disabled
101213 17:54:57 [Note] Flashcache setup error is : open flash device failed

101213 17:54:57 [Note] Plugin 'FEDERATED' is disabled.
MySQL Version 5.1.53
Checking supported features...
 - skipping ndbcluster
 - SSL connections supported
Collecting tests...
vardir: /home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/var
Checking leftover processes...
mysql-test-run: WARNING: Found non pid file 'mysqld-slow.log' in '/home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/var/run'
mysql-test-run: WARNING: Found non pid file 'mysqld.err' in '/home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/var/run'
Removing old var directory...
Creating var directory '/home/nacho/src/TEST/innodb_bug56413_test_disable/Percona-Server/mysql-test/var'...
Installing system database...
Using server port 47162

==============================================================================

TEST RESULT TIME (ms)
------------------------------------------------------------

worker[1] Using MTR_BUILD_THREAD 300, with reserved ports 13000..13009
main.percona_show_slave_status_nolock [ pass ] 10838
------------------------------------------------------------
The servers were restarted 0 times
Spent 10.838 of 16 seconds executing testcases

Completed: All 1 tests were successful.

To reproduce:
bzr clone lp:percona-server
cd percona-server
make
cd Percona-Server
./configure --build=x86_64-linux-gnu --host=x86_64-linux-gnu --prefix=/usr --exec-prefix=/usr --libexecdir=/usr/sbin --datadir=/usr/share --localstatedir=/var/lib/mysql --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --with-server-suffix=-rel12.3 --with-comment='(Percona Server (GPL), 12.3 )' --with-system-type=debian-linux-gnu --enable-shared --enable-static --enable-thread-safe-client --enable-assembler --enable-local-infile --with-fast-mutexes --with-big-tables --with-unix-socket-path=/var/run/mysqld/mysqld.sock --with-mysqld-user=mysql --with-libwrap --with-ssl --without-docs --with-extra-charsets=all --with-plugins=max-no-ndb --without-plugin-innobase --without-embedded-server --with-embedded-privilege-control
make test

Alexey Kopytov (akopytov) wrote :

I think the fix is:

--- mysql-test/show_slave_status_nolock.patch/percona_show_slave_status_nolock.test 2010-11-16 13:48:48 +0000
+++ mysql-test/show_slave_status_nolock.patch/percona_show_slave_status_nolock.test 2010-12-14 05:15:40 +0000
@@ -1,4 +1,5 @@
 --source include/master-slave.inc
+--source include/have_binlog_format_statement.inc

 connection master;
 -- disable_warnings

Oleg Tsarev (tsarev) on 2010-12-14
Changed in percona-server:
assignee: nobody → Oleg Tsarev (tsarev)
status: New → In Progress
Oleg Tsarev (tsarev) on 2010-12-14
Changed in percona-server:
status: In Progress → Fix Committed

The test fails on 5.1.54:

main.percona_show_slave_status_nolock [ fail ]
        Test ended at 2011-01-04 07:40:22

CURRENT_TEST: main.percona_show_slave_status_nolock
--- /home/buildbot/slaves/percona-server-51-12/CentOS-5-x86-RPM_CentOS_5_x86_64/work/BUILD/Percona-Server/mysql-test/r/percona_show_slave_status_nolock.result 2011-01-04 14:47:10.000000000 +0300
+++ /home/buildbot/slaves/percona-server-51-12/CentOS-5-x86-RPM_CentOS_5_x86_64/work/BUILD/Percona-Server/mysql-test/r/percona_show_slave_status_nolock.reject 2011-01-04 15:40:21.000000000 +0300
@@ -13,7 +13,7 @@
 0
 SHOW SLAVE STATUS NOLOCK;
 Slave_IO_State Master_Host Master_User Master_Port Connect_Retry Master_Log_File Read_Master_Log_Pos Relay_Log_File Relay_Log_Pos Relay_Master_Log_File Slave_IO_Running Slave_SQL_Running Replicate_Do_DB Replicate_Ignore_DB Replicate_Do_Table Replicate_Ignore_Table Replicate_Wild_Do_Table Replicate_Wild_Ignore_Table Last_Errno Last_Error Skip_Counter Exec_Master_Log_Pos Relay_Log_Space Until_Condition Until_Log_File Until_Log_Pos Master_SSL_Allowed Master_SSL_CA_File Master_SSL_CA_Path Master_SSL_Cert Master_SSL_Cipher Master_SSL_Key Seconds_Behind_Master Master_SSL_Verify_Server_Cert Last_IO_Errno Last_IO_Error Last_SQL_Errno Last_SQL_Error
-<STATE> <HOST> <USER> <PORT> 1 master-bin.000001 276 slave-relay-bin.000003 422 master-bin.000001 Yes Yes 0 0 276 577 None 0 No 0 No 0 0
+<STATE> <HOST> <USER> <PORT> 1 master-bin.000001 276 slave-relay-bin.000003 422 master-bin.000001 No Yes 0 0 276 577 None 0 No NULL No 0 0
 select count(*) from t;
 count(*)
 0

mysqltest: Result length mismatch

Changed in percona-server:
milestone: none → release-5.1.54-12.5
status: Fix Committed → New
Oleg Tsarev (tsarev) on 2011-01-05
Changed in percona-server:
status: New → Fix Committed
Stewart Smith (stewart) wrote :

or is this fix released? please clarify.

Changed in percona-server:
milestone: release-5.1.54-12.5 → none
Oleg Tsarev (tsarev) on 2011-06-24
Changed in percona-server:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers